### What is this repository for? ###

* Quick summary:  
		This is a package that can be included in an ASP.NET API that lets you send messages to the AICORE logging APIs with simple functions like _logger.LogInformation
		Added to your controllers via dependency injection by adding this to your startup.cs:
```
builder.Host.ConfigureLogging((context, logBuilder) => {
    logBuilder.ClearProviders().AddUsageLogger(options => context.Configuration.GetSection("Logging").Bind(options));
});
```

### How do I get set up? ###

* Configuration: Set up a key in your appsettings similar to this one:
```
"Logging": {
	"Server": "aicoreio",
	"Application": "ExecuteCMD",
	"UsageUrl": "https://aicoreio.coredata.ca/Usage/Usage",
	"SlackUrl": "https://aicoreio.coredata.ca/SendToSlack",
	"LogLevel": {
		"Default": "Information",
		"Microsoft": "Warning",
		"Microsoft.Hosting.Lifetime": "Warning"
	}
}
```

### Contribution guidelines ###

* Writing tests:   future: xUnit Tests
* Code review: Jira, with minimum 1 reviewer
* Other guidelines: n/a

### Who do I talk to? ###

* Repo owner or admin: Victor Lee
* Other community or team contact: Rafik Belhaouas, Marc Weber



